summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/accerciser/Manifest1
-rw-r--r--app-accessibility/accerciser/accerciser-3.38.0.ebuild50
-rw-r--r--app-accessibility/accerciser/accerciser-3.40.0.ebuild4
-rw-r--r--app-accessibility/accerciser/metadata.xml9
-rw-r--r--app-accessibility/at-spi2-atk/at-spi2-atk-2.46.0.ebuild16
-rw-r--r--app-accessibility/at-spi2-atk/metadata.xml22
-rw-r--r--app-accessibility/at-spi2-core/Manifest1
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.46.0.ebuild55
-rw-r--r--app-accessibility/at-spi2-core/metadata.xml11
-rw-r--r--app-accessibility/brltty/Manifest1
-rw-r--r--app-accessibility/brltty/brltty-6.5.ebuild223
-rw-r--r--app-accessibility/brltty/metadata.xml1
-rw-r--r--app-accessibility/caribou/caribou-0.4.21-r4.ebuild4
-rw-r--r--app-accessibility/caribou/caribou-0.4.21-r5.ebuild2
-rw-r--r--app-accessibility/edbrowse/edbrowse-3.8.2.1-r2.ebuild2
-rw-r--r--app-accessibility/emacspeak/Manifest2
-rw-r--r--app-accessibility/emacspeak/emacspeak-39.0-r2.ebuild77
-rw-r--r--app-accessibility/emacspeak/emacspeak-56.0-r1.ebuild94
-rw-r--r--app-accessibility/emacspeak/emacspeak-9999.ebuild73
-rw-r--r--app-accessibility/emacspeak/metadata.xml1
-rw-r--r--app-accessibility/espeak-ng/metadata.xml2
-rw-r--r--app-accessibility/espeak/espeak-1.48.04-r1.ebuild4
-rw-r--r--app-accessibility/espeakup/Manifest1
-rw-r--r--app-accessibility/espeakup/espeakup-0.80.ebuild62
-rw-r--r--app-accessibility/espeakup/files/espeakup.rc12
-rw-r--r--app-accessibility/flite/flite-2.2.ebuild2
-rw-r--r--app-accessibility/kontrast/Manifest1
-rw-r--r--app-accessibility/kontrast/kontrast-22.04.3.ebuild1
-rw-r--r--app-accessibility/kontrast/kontrast-22.08.3.ebuild32
-rw-r--r--app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild2
-rw-r--r--app-accessibility/mbrola/mbrola-3.3-r1.ebuild2
-rw-r--r--app-accessibility/mbrola/metadata.xml19
-rw-r--r--app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild4
-rw-r--r--app-accessibility/orca/Manifest2
-rw-r--r--app-accessibility/orca/metadata.xml31
-rw-r--r--app-accessibility/orca/orca-43.0.ebuild (renamed from app-accessibility/orca/orca-42.1.ebuild)3
-rw-r--r--app-accessibility/speech-dispatcher/Manifest5
-rw-r--r--app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.1-remove-unused-variable-musl.patch29
-rw-r--r--app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.3-fix-dlopen.patch93
-rw-r--r--app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.4-GNU_SOURCE.patch103
-rw-r--r--app-accessibility/speech-dispatcher/files/speech-dispatcher-0.9.1-fno-common.patch466
-rw-r--r--app-accessibility/speech-dispatcher/metadata.xml3
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.11.2.ebuild (renamed from app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild)3
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3-r1.ebuild123
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3.ebuild (renamed from app-accessibility/speech-dispatcher/speech-dispatcher-0.9.1.ebuild)27
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.11.4.ebuild129
-rw-r--r--app-accessibility/speechd-el/speechd-el-2.11.ebuild2
47 files changed, 1013 insertions, 799 deletions
diff --git a/app-accessibility/accerciser/Manifest b/app-accessibility/accerciser/Manifest
index 6eba941924c..0175757d259 100644
--- a/app-accessibility/accerciser/Manifest
+++ b/app-accessibility/accerciser/Manifest
@@ -1,2 +1 @@
-DIST accerciser-3.38.0.tar.xz 2006380 BLAKE2B 8a073e3a933386c9ae46d71535a3a49930bf8100d1458ac1875e1bcb69acc13e2331ac568c566ec6b8fe8ff9836155cc2ff20558de0e21942a29a568ff916fa5 SHA512 5740e4acfb00f5842dac8045ca9f10c85cf2ae164f3e0caf63ec303ff104002ace6de591a9b6516c4052ec0da8e48b394647f018b6c8b68a6c5ff77c4fff2904
DIST accerciser-3.40.0.tar.xz 1991256 BLAKE2B adcaa37b64d91cf4348fdd1b15d22aa977585c2c9d3ad81b41c7711f82ce010c7b75a44de6ec780fbbdadacad856a1f15b4f492971f5a7acfcea0568f0edc2df SHA512 78a7ce4a69de9a237c75b8df25665c8e9e8173969fb146cb608f4b51ff042c3abdcd49225f8f420c1c1bfab3736a8607eb6b555106c8a1e6e3399c83bad8f198
diff --git a/app-accessibility/accerciser/accerciser-3.38.0.ebuild b/app-accessibility/accerciser/accerciser-3.38.0.ebuild
deleted file mode 100644
index d3daff14e3e..00000000000
--- a/app-accessibility/accerciser/accerciser-3.38.0.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8..10} )
-PYTHON_REQ_USE="xml"
-
-inherit gnome2 python-single-r1
-
-DESCRIPTION="Interactive Python accessibility explorer"
-HOMEPAGE="https://wiki.gnome.org/Apps/Accerciser"
-
-LICENSE="BSD CC-BY-SA-3.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="
- >=app-accessibility/at-spi2-core-2.5.2:2
- >=x11-libs/gtk+-3.1.13:3[introspection]
- $(python_gen_cond_dep '
- >=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
- >=dev-python/ipython-0.11[${PYTHON_USEDEP}]
- >=dev-python/pyatspi-2.1.5[${PYTHON_USEDEP}]
- dev-python/pycairo[${PYTHON_USEDEP}]
- dev-python/python-xlib[${PYTHON_USEDEP}]
- ')
-
- dev-libs/atk[introspection]
- >=dev-libs/glib-2.28:2
- dev-libs/gobject-introspection:=
- x11-libs/gdk-pixbuf[introspection]
- x11-libs/libwnck:3[introspection]
- x11-libs/pango[introspection]
- gnome-base/librsvg[introspection]
- ${PYTHON_DEPS}
-"
-DEPEND="${RDEPEND}"
-BDEPEND="
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
-"
-
-src_install() {
- gnome2_src_install
- python_optimize
-}
diff --git a/app-accessibility/accerciser/accerciser-3.40.0.ebuild b/app-accessibility/accerciser/accerciser-3.40.0.ebuild
index cfedba6402c..803f1ccca36 100644
--- a/app-accessibility/accerciser/accerciser-3.40.0.ebuild
+++ b/app-accessibility/accerciser/accerciser-3.40.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
PYTHON_REQ_USE="xml(+)"
inherit gnome2 python-single-r1
@@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Accerciser https://gitlab.gnome.org/GNOME/
LICENSE="BSD CC-BY-SA-3.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
diff --git a/app-accessibility/accerciser/metadata.xml b/app-accessibility/accerciser/metadata.xml
index 8dd8465f8b5..3d77751efc4 100644
--- a/app-accessibility/accerciser/metadata.xml
+++ b/app-accessibility/accerciser/metadata.xml
@@ -6,8 +6,11 @@
<name>Gentoo GNOME Desktop</name>
</maintainer>
<longdescription lang="en">
-Accerciser is an interactive Python accessibility explorer for the GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing you to check if an application is providing correct information to assistive technologies and automated test frameworks. Accerciser has a simple plugin framework which you can use to create custom views of accessibility information.
+ Accerciser is an interactive Python accessibility explorer for the GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing you to check if an application is providing correct information to assistive technologies and automated test frameworks. Accerciser has a simple plugin framework which you can use to create custom views of accessibility information.
-In essence, Accerciser is a next generation at-poke tool.
-</longdescription>
+ In essence, Accerciser is a next generation at-poke tool.
+ </longdescription>
+ <upstream>
+ <remote-id type="gnome-gitlab">GNOME/accerciser</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/at-spi2-atk/at-spi2-atk-2.46.0.ebuild b/app-accessibility/at-spi2-atk/at-spi2-atk-2.46.0.ebuild
new file mode 100644
index 00000000000..2e2b07fde27
--- /dev/null
+++ b/app-accessibility/at-spi2-atk/at-spi2-atk-2.46.0.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-build
+
+DESCRIPTION="Gtk module for bridging AT-SPI to Atk"
+HOMEPAGE="https://wiki.gnome.org/Accessibility"
+
+LICENSE="metapackage"
+SLOT="2"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DEPEND=""
+RDEPEND=">=app-accessibility/at-spi2-core-2.46.0[${MULTILIB_USEDEP}]"
diff --git a/app-accessibility/at-spi2-atk/metadata.xml b/app-accessibility/at-spi2-atk/metadata.xml
index f7da9e6ff55..2df23ac8ea0 100644
--- a/app-accessibility/at-spi2-atk/metadata.xml
+++ b/app-accessibility/at-spi2-atk/metadata.xml
@@ -1,13 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>gnome@gentoo.org</email>
- <name>Gentoo GNOME Desktop</name>
-</maintainer>
-<longdescription lang="en">at-spi2-atk is the library used to bridge ATK to AT-SPI, allowing applications
-exposing information via ATK to interface with clients that use AT-SPI. This
-module provides the necessary inter-process communication to allow
-accessibility-oriented software to operate.
-</longdescription>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <longdescription lang="en">
+ at-spi2-atk is the library used to bridge ATK to AT-SPI, allowing applications
+ exposing information via ATK to interface with clients that use AT-SPI. This
+ module provides the necessary inter-process communication to allow
+ accessibility-oriented software to operate.
+ </longdescription>
+ <upstream>
+ <remote-id type="gnome-gitlab">GNOME/at-spi2-atk</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/at-spi2-core/Manifest b/app-accessibility/at-spi2-core/Manifest
index 832e469a377..b9d0169a190 100644
--- a/app-accessibility/at-spi2-core/Manifest
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -1 +1,2 @@
DIST at-spi2-core-2.44.1.tar.xz 209780 BLAKE2B e76f0b0c478564181db774633dfc9613bdfa6c74c5c52878d877723e37605b7b7169fee45a9025b331e84bf5af8132eed50b388db9ac1aee0fec7776a633628a SHA512 8d85df75f886c4a19d829d14e5a9412b607b9cbe2d1b7ecb95b4082602f0624e90747fe955f96d378c3a52bc0e732074b97008bb34e6acc2722c7056b2c0504e
+DIST at-spi2-core-2.46.0.tar.xz 540600 BLAKE2B e3ed9915c39a9f71b64a9753c7f91208d15289fe09a9505b4766df7fa04c3e6e5cdc7b3702315eabbdf70f9fc08b4cca4546353485328ab101e2950a672885d6 SHA512 633af2c02fab3b8cb02e37f929ce80dd5ce28ca5641046ef5e25cb29299530b90028e6c6f318a0c098a4270bed3eab48fb55d6967a76bfadd2520f49de47c770
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.46.0.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.46.0.ebuild
new file mode 100644
index 00000000000..40b7b6996a0
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.46.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson-multilib systemd virtualx xdg
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="https://wiki.gnome.org/Accessibility https://gitlab.gnome.org/GNOME/at-spi2-core"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+IUSE="X gtk-doc +introspection"
+REQUIRED_USE="gtk-doc? ( X )"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ >=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.67.4:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ )
+
+ !<dev-libs/atk-2.46.0
+ !<app-accessibility/at-spi2-atk-2.46.0
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ gtk-doc? (
+ >=dev-util/gtk-doc-1.25
+ app-text/docbook-xml-dtd:4.3
+ )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dsystemd_user_dir="$(systemd_get_userunitdir)"
+ $(meson_native_use_bool gtk-doc docs)
+ -Dintrospection=$(multilib_native_usex introspection)
+ -Dx11=$(usex X)
+ -Ddisable_p2p=false
+ )
+ meson_src_configure
+}
+
+multilib_src_test() {
+ virtx dbus-run-session meson test -C "${BUILD_DIR}" || die
+}
diff --git a/app-accessibility/at-spi2-core/metadata.xml b/app-accessibility/at-spi2-core/metadata.xml
index 7b343b06be8..32089b0df71 100644
--- a/app-accessibility/at-spi2-core/metadata.xml
+++ b/app-accessibility/at-spi2-core/metadata.xml
@@ -1,8 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>gnome@gentoo.org</email>
- <name>Gentoo GNOME Desktop</name>
-</maintainer>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="gnome-gitlab">GNOME/at-spi2-core</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/brltty/Manifest b/app-accessibility/brltty/Manifest
index a078a76e9ad..447bf8b37e8 100644
--- a/app-accessibility/brltty/Manifest
+++ b/app-accessibility/brltty/Manifest
@@ -1,2 +1,3 @@
DIST brltty-6.1.tar.xz 3394852 BLAKE2B 03e6358721dcd5c3bdee3301a1ed827a690128ec339669543279c7e9a115bef6c5d8630e4af2d0b214b9c7c3eaa9001ab4c54ae7fb899cb3bc675985f51d6933 SHA512 030ef60ef7a9a60dc2fba2a64ea0a0868395eee6f2f86876b4e4111e804a05b44f798a154a69a8f5e0f6358130993c360a550f7decac0535450f9cf939231eaf
DIST brltty-6.4.tar.xz 3669296 BLAKE2B 2824b212c7e4fea0f65c7ae111432071805aa63117a7e9a9932d7720ef2157f1e6fd33e3e91e4515c7131bd066db8f910969fb186d2007b63bc83efcbe2332b1 SHA512 384848d05f78732952079d6f5170046927fcb35f400ece71ca897415a793c0aa1047934f8cd5e9e781536fb0b7cb71273283f3bba21e59f082ba8f6f2416352e
+DIST brltty-6.5.tar.xz 3631628 BLAKE2B b2e5f82f15dff9a99bf3d75523f6ec48d531d413d860079af0023b9efdc07a93563226c6388cc89ce025f8d13b1635e883680f0ddb8a688ffcc4cd9c335d7aee SHA512 bbfbb89b1c3ba5063ad3bc0aa97b859dd23acea1feb79dab20c57dc74ff2f26649942fcecc7030a3f70555596f4d9d35cd05616af2a8e101d4d56b4c471a6ad3
diff --git a/app-accessibility/brltty/brltty-6.5.ebuild b/app-accessibility/brltty/brltty-6.5.ebuild
new file mode 100644
index 00000000000..f6f250a5b92
--- /dev/null
+++ b/app-accessibility/brltty/brltty-6.5.ebuild
@@ -0,0 +1,223 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+FINDLIB_USE="ocaml"
+JAVA_PKG_WANT_SOURCE="1.8"
+JAVA_PKG_WANT_TARGET="1.8"
+
+inherit findlib toolchain-funcs java-pkg-opt-2 autotools python-r1 tmpfiles
+
+DESCRIPTION="Daemon that provides access to the Linux/Unix console for a blind person"
+HOMEPAGE="https://brltty.app/"
+SRC_URI="https://brltty.app/archive/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~loong ppc ppc64 ~riscv x86"
+IUSE="+api +beeper bluetooth doc +fm gpm iconv icu
+ java louis +midi ncurses nls ocaml +pcm policykit python
+ usb systemd +speech tcl xml X"
+REQUIRED_USE="doc? ( api )
+ java? ( api )
+ ocaml? ( api )
+ python? ( api ${PYTHON_REQUIRED_USE} )
+ tcl? ( api )"
+
+DEPEND="
+ acct-group/brltty
+ acct-user/brltty
+ dev-libs/libpcre2[pcre32]
+ bluetooth? (
+ sys-apps/dbus
+ net-wireless/bluez
+ )
+ gpm? ( >=sys-libs/gpm-1.20 )
+ iconv? ( virtual/libiconv )
+ icu? ( dev-libs/icu:= )
+ louis? ( dev-libs/liblouis:= )
+ midi? ( media-libs/alsa-lib )
+ ncurses? ( sys-libs/ncurses:0= )
+ pcm? ( media-libs/alsa-lib )
+ policykit? ( sys-auth/polkit )
+ python? ( ${PYTHON_DEPS} )
+ speech? (
+ app-accessibility/espeak-ng
+ app-accessibility/flite
+ app-accessibility/speech-dispatcher
+ )
+ systemd? ( sys-apps/systemd )
+ tcl? ( >=dev-lang/tcl-8.4.15:0= )
+ usb? ( virtual/libusb:1 )
+ xml? ( dev-libs/expat )
+ X? (
+ app-accessibility/at-spi2-core:2
+ sys-apps/dbus
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXfixes
+ x11-libs/libXt
+ x11-libs/libXtst
+ )"
+RDEPEND="${DEPEND}
+ java? ( >=virtual/jre-1.8:* )
+"
+BDEPEND="
+ virtual/pkgconfig
+ java? ( >=virtual/jdk-1.8:* )
+ nls? ( virtual/libintl )
+ python? ( >=dev-python/cython-0.16[${PYTHON_USEDEP}] )
+"
+
+HTML_DOCS=( "${S}"/Documents/Manual-BrlAPI/. )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.4-respect-AR.patch
+)
+
+src_prepare() {
+ default
+
+ java-pkg-opt-2_src_prepare
+
+ # We run eautoconf instead of using eautoreconf because brltty uses
+ # a custom build system that uses autoconf without the rest of the
+ # autotools.
+ eautoconf
+ use python && python_copy_sources
+}
+
+src_configure() {
+ tc-export AR LD PKG_CONFIG
+
+ export JAVAC=""
+ export JAVA_JNI_FLAGS=""
+ if use java; then
+ export JAVA_HOME="$(java-config -g JAVA_HOME)"
+ export JAVAC_HOME="${JAVA_HOME}/bin"
+ export JAVA_JNI_FLAGS="$(java-pkg_get-jni-cflags)"
+ export JAVAC="$(java-pkg_get-javac) -encoding UTF-8 $(java-pkg_javac-args)"
+ fi
+
+ # Override bindir for backward compatibility.
+ # Also override localstatedir so that the lib/brltty directory is installed
+ # correctly.
+ # Disable stripping since we do that ourselves.
+ local myconf=(
+ --bindir="${EPREFIX}"/bin
+ --htmldir="${EPREFIX}"/usr/share/doc/"${P}"/html
+ --localstatedir="${EPREFIX}"/var
+ --runstatedir="${EPREFIX}"/run
+ # the next two lines should be removed once support is added.
+ --disable-emacs-bindings
+ --disable-lua-bindings
+ --disable-stripping
+ --with-updatable-directory="${EPREFIX}"/var/lib/brltty
+ --with-writable-directory="${EPREFIX}"/run/brltty
+ --with-privilege-parameters=lx:user=brltty
+ $(use_enable api)
+ $(use_with beeper beep-package)
+# $(use_enable emacs emacs-bindings)
+ $(use_with fm fm-package)
+ $(use_enable gpm)
+ $(use_enable iconv)
+ $(use_enable icu)
+ $(use_enable java java-bindings)
+ $(use_enable louis liblouis)
+# $(use_enable lua lua-bindings)
+ $(use_with midi midi-package)
+ $(use_enable nls i18n)
+ $(use_enable ocaml ocaml-bindings)
+ $(use_with pcm pcm-package)
+ $(use_enable policykit polkit)
+ $(use_enable python python-bindings)
+ $(use_enable speech speech-support)
+ $(use_with systemd service-package)
+ $(use_enable tcl tcl-bindings)
+ $(use_enable xml expat)
+ $(use_enable X x)
+ $(use_with bluetooth bluetooth-package)
+ $(use_with ncurses curses)
+ $(use_with usb usb-package)
+ )
+ # disable espeak since we use espeak-ng
+ use speech && myconf+=( --with-speech-driver=-es )
+
+ econf "${myconf[@]}"
+
+ if use python; then
+ python_configure() {
+ econf "${myconf[@]}"
+ }
+ python_foreach_impl run_in_build_dir python_configure
+ fi
+}
+
+src_compile() {
+ emake -j1 JAVA_JNI_FLAGS="${JAVA_JNI_FLAGS}" JAVAC="${JAVAC}"
+
+ if use python; then
+ python_build() {
+ cd "Bindings/Python" || die
+ emake -j1
+ }
+ python_foreach_impl run_in_build_dir python_build
+ fi
+}
+
+src_install() {
+ if use ocaml; then
+ findlib_src_preinst
+ fi
+
+ emake -j1 INSTALL_ROOT="${D}" OCAML_LDCONF= install
+
+ if use python; then
+ python_install() {
+ cd "Bindings/Python" || die
+ emake -j1 INSTALL_ROOT="${D}" install
+ }
+ python_foreach_impl run_in_build_dir python_install
+ fi
+
+ if use java; then
+ java-pkg_doso Bindings/Java/libbrlapi_java.so
+ java-pkg_dojar Bindings/Java/brlapi.jar
+ fi
+
+ insinto /etc
+ doins Documents/brltty.conf
+ newinitd "${FILESDIR}"/brltty.initd brltty
+ pushd Autostart/Systemd 1> /dev/null || die
+ emake -j1 INSTALL_ROOT="${ED}" install
+ popd
+ pushd Autostart/Udev 1> /dev/null || die
+ emake -j1 INSTALL_ROOT="${ED}" install
+ popd
+
+ dodoc Documents/{CONTRIBUTORS,ChangeLog,HISTORY,README*,TODO}
+ if use doc; then
+ HTML_DOCS="doc/Manual-BRLTTY" einstalldocs
+ fi
+
+ keepdir /var/lib/BrlAPI
+ rm -fr "${ED}/run" || die
+ find "${ED}" -name '*.a' -delete || die
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.conf
+
+ elog "please be sure ${EROOT}/etc/brltty.conf is correct for your system."
+ elog
+ elog "To make brltty start on boot on an OpenRC system, type this command:"
+ elog "# rc-update add brltty boot"
+ elog
+ elog "If you are using systemd, type this command:"
+ elog "# systemctl daemon-reload"
+ elog
+ elog "Please reload udev by typing:"
+ elog "# udevadm control --reload"
+}
diff --git a/app-accessibility/brltty/metadata.xml b/app-accessibility/brltty/metadata.xml
index 32eb443cb93..80c6f674430 100644
--- a/app-accessibility/brltty/metadata.xml
+++ b/app-accessibility/brltty/metadata.xml
@@ -17,6 +17,7 @@
</use>
<upstream>
<remote-id type="cpe">cpe:/a:mielke:brltty</remote-id>
+ <remote-id type="github">brltty/brltty</remote-id>
</upstream>
<longdescription lang="en">
BRLTTY is a background process (daemon) which provides access to the Linux/Unix
diff --git a/app-accessibility/caribou/caribou-0.4.21-r4.ebuild b/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
index 745819795ea..24394a7692d 100644
--- a/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
+++ b/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
-PYTHON_REQ_USE="xml"
+PYTHON_REQ_USE="xml(+)"
inherit autotools gnome.org gnome2-utils python-single-r1 vala
diff --git a/app-accessibility/caribou/caribou-0.4.21-r5.ebuild b/app-accessibility/caribou/caribou-0.4.21-r5.ebuild
index 030435bd3c6..36e2ad773a6 100644
--- a/app-accessibility/caribou/caribou-0.4.21-r5.ebuild
+++ b/app-accessibility/caribou/caribou-0.4.21-r5.ebuild
@@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
-PYTHON_REQ_USE="xml"
+PYTHON_REQ_USE="xml(+)"
inherit autotools gnome.org gnome2-utils python-single-r1 vala
diff --git a/app-accessibility/edbrowse/edbrowse-3.8.2.1-r2.ebuild b/app-accessibility/edbrowse/edbrowse-3.8.2.1-r2.ebuild
index 98763b8f9d3..49a249f7726 100644
--- a/app-accessibility/edbrowse/edbrowse-3.8.2.1-r2.ebuild
+++ b/app-accessibility/edbrowse/edbrowse-3.8.2.1-r2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/CMB/edbrowse/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~riscv ~x86"
RDEPEND="
>=app-text/htmltidy-5.0.0:=
diff --git a/app-accessibility/emacspeak/Manifest b/app-accessibility/emacspeak/Manifest
index 1a147ca5f1d..b01f904e548 100644
--- a/app-accessibility/emacspeak/Manifest
+++ b/app-accessibility/emacspeak/Manifest
@@ -1 +1 @@
-DIST emacspeak-39.0.tar.bz2 4989631 BLAKE2B ea58436fd3d7450938de04b74dcefdd9b9c5bee5c8c3bf48dbd2ca5bd5ce5c795a0d4c60ec05ca83c0020ca650b717e378717dc2d68eb56e80653b5045d5b132 SHA512 c0a0c503d6ccc2abb53a8be580997b44e0449c2225e8a64cee73c24d69a28c3f47c0e660a95a6e77dd4d660272ad562ff747ce3c0a989f8fe7c8171f60349173
+DIST emacspeak-56.0.tar.bz2 7158646 BLAKE2B 484b98e5fac51d30bd9b2705308042ed9e0a49a4684ca777cbc60368fdadd8206ef212af514a5940509c84fee3fdcad12486a31a47cac658c912d7573a484fb7 SHA512 9b18fada991b914ddd3ed30950e685c1c164434536c3dd119b9ed52db80e7e31b7399c72a584938bfb63daa7e1aa76a1f377d664cc1118ffa7f0a4cbdddf0818
diff --git a/app-accessibility/emacspeak/emacspeak-39.0-r2.ebuild b/app-accessibility/emacspeak/emacspeak-39.0-r2.ebuild
deleted file mode 100644
index daa09b1d531..00000000000
--- a/app-accessibility/emacspeak/emacspeak-39.0-r2.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-NEED_EMACS=24
-FORCE_PRINT_ELOG=1
-DISABLE_AUTOFORMATTING=1
-inherit elisp readme.gentoo-r1
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="https://github.com/tvraman/emacspeak.git"
- inherit git-r3
-else
- SRC_URI="https://${PN}.googlecode.com/files/${P}.tar.bz2"
- KEYWORDS="amd64 ppc x86"
-fi
-
-DESCRIPTION="the emacspeak audio desktop"
-HOMEPAGE="http://emacspeak.sourceforge.net/"
-LICENSE="BSD GPL-2"
-SLOT="0"
-IUSE="+espeak"
-
-DEPEND="espeak? ( app-accessibility/espeak )"
-
-RDEPEND="${DEPEND}
- >=dev-tcltk/tclx-8.4"
-
-DOC_CONTENTS='
-As of version 39.0 and later, the /usr/bin/emacspeak
-shell script has been removed downstream in Gentoo.
-You should launch emacspeak by another method, for instance
-by adding the following to your ~/.emacs file:
-(load "/usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el")
-'
-
-HTML_DOCS=( install-guide user-guide )
-
-src_configure() {
- emake config
-}
-
-src_compile() {
- emake emacspeak
- if use espeak; then
- local tcl_version="$(echo 'puts $tcl_version;exit 0' |tclsh)"
- if [[ -z $tcl_version ]]; then
- die 'Unable to detect the installed version of dev-lang/tcl.'
- fi
- cd servers/linux-espeak || die
- emake TCL_VERSION="${tcl_version}"
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- rm "${D}/usr/bin/emacspeak"
- if use espeak; then
- pushd servers/linux-espeak > /dev/null || die
- emake DESTDIR="${D}" install
- local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak"
- local serverfile="${D}${orig_serverdir}/tclespeak.so"
- install -Dm755 "$serverfile" \
- "${D}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
- rm -f "$serverfile" || die
- dosym "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
- "$orig_serverdir/tclespeak.so"
- popd > /dev/null || die
- fi
- dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
- einstalldocs
- cd "${D}/usr/share/emacs/site-lisp/${PN}" || die
- rm -rf README etc/NEWS* etc/FAQ etc/COPYRIGHT install-guide \
- user-guide || die
- readme.gentoo_create_doc
-}
diff --git a/app-accessibility/emacspeak/emacspeak-56.0-r1.ebuild b/app-accessibility/emacspeak/emacspeak-56.0-r1.ebuild
new file mode 100644
index 00000000000..2fb27f565d0
--- /dev/null
+++ b/app-accessibility/emacspeak/emacspeak-56.0-r1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+FORCE_PRINT_ELOG=1
+DISABLE_AUTOFORMATTING=1
+inherit elisp toolchain-funcs readme.gentoo-r1
+
+DESCRIPTION="The emacspeak audio desktop"
+HOMEPAGE="http://emacspeak.sourceforge.net/"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/tvraman/emacspeak.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/tvraman/emacspeak/releases/download/${PV}/${P}.tar.bz2"
+ KEYWORDS="amd64 ppc x86"
+fi
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+IUSE="+espeak"
+
+# Usually need := dep with tcl anyway but in particular, it's needed
+# here as we do a version check in src_compile and bake in the results.
+DEPEND="
+ dev-lang/tcl:=
+ espeak? ( app-accessibility/espeak-ng )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-tcltk/tclx-8.4
+"
+
+DOC_CONTENTS='
+As of version 39.0 and later, the /usr/bin/emacspeak
+shell script has been removed downstream in Gentoo.
+You should launch emacspeak by another method, for instance
+by adding the following to your ~/.emacs file:
+(load "/usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el")
+'
+
+HTML_DOCS=( etc/ info/ )
+
+src_configure() {
+ MAKEOPTS+=" -j1"
+
+ tc-export CXX
+
+ emake config
+}
+
+src_compile() {
+ emake emacspeak
+ if use espeak; then
+ local tcl_version="$(echo 'puts $tcl_version;exit 0' |tclsh)"
+ if [[ -z ${tcl_version} ]]; then
+ die 'Unable to detect the installed version of dev-lang/tcl.'
+ fi
+
+ cd servers/native-espeak || die
+ emake TCL_VERSION="${tcl_version}"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ if use espeak; then
+ pushd servers/native-espeak > /dev/null || die
+
+ emake DESTDIR="${D}" install
+ local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/native-espeak"
+ local serverfile="${ED}${orig_serverdir}/tclespeak.so"
+
+ install -Dm755 "${serverfile}" \
+ "${ED}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
+ rm -f "${serverfile}" || die
+
+ dosym -r "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
+ "${orig_serverdir}/tclespeak.so"
+ popd > /dev/null || die
+ fi
+
+ dodoc README etc/NEWS* etc/COPYRIGHT
+ einstalldocs
+
+ cd "${ED}"/usr/share/emacs/site-lisp/${PN} || die
+ rm -rf README etc/NEWS* etc/COPYRIGHT install-guide \
+ user-guide || die
+ readme.gentoo_create_doc
+}
diff --git a/app-accessibility/emacspeak/emacspeak-9999.ebuild b/app-accessibility/emacspeak/emacspeak-9999.ebuild
index 67a6062698b..9c9472dcc6b 100644
--- a/app-accessibility/emacspeak/emacspeak-9999.ebuild
+++ b/app-accessibility/emacspeak/emacspeak-9999.ebuild
@@ -1,31 +1,38 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
-NEED_EMACS=24
+NEED_EMACS=26.1
FORCE_PRINT_ELOG=1
DISABLE_AUTOFORMATTING=1
-inherit elisp readme.gentoo-r1
+inherit elisp toolchain-funcs readme.gentoo-r1
-if [[ ${PV} == "9999" ]] ; then
+DESCRIPTION="The emacspeak audio desktop"
+HOMEPAGE="http://emacspeak.sourceforge.net/"
+
+if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://github.com/tvraman/emacspeak.git"
inherit git-r3
else
- SRC_URI="https://${PN}.googlecode.com/files/${P}.tar.bz2"
+ SRC_URI="https://github.com/tvraman/emacspeak/releases/download/${PV}/${P}.tar.bz2"
KEYWORDS="~amd64 ~ppc ~x86"
fi
-DESCRIPTION="the emacspeak audio desktop"
-HOMEPAGE="http://emacspeak.sourceforge.net/"
-LICENSE="BSD GPL-2"
+LICENSE="GPL-2+ GPL-3+"
SLOT="0"
IUSE="+espeak"
-DEPEND="espeak? ( app-accessibility/espeak )"
-
-RDEPEND="${DEPEND}
- >=dev-tcltk/tclx-8.4"
+# Usually need := dep with tcl anyway but in particular, it's needed
+# here as we do a version check in src_compile and bake in the results.
+DEPEND="
+ dev-lang/tcl:=
+ espeak? ( app-accessibility/espeak-ng )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-tcltk/tclx-8.4
+"
DOC_CONTENTS='
As of version 39.0 and later, the /usr/bin/emacspeak
@@ -35,9 +42,13 @@ by adding the following to your ~/.emacs file:
(load "/usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el")
'
-HTML_DOCS=( install-guide user-guide )
+HTML_DOCS=( etc/ info/ )
src_configure() {
+ MAKEOPTS+=" -j1"
+
+ tc-export CXX
+
emake config
}
@@ -45,33 +56,39 @@ src_compile() {
emake emacspeak
if use espeak; then
local tcl_version="$(echo 'puts $tcl_version;exit 0' |tclsh)"
- if [[ -z $tcl_version ]]; then
+ if [[ -z ${tcl_version} ]]; then
die 'Unable to detect the installed version of dev-lang/tcl.'
fi
- cd servers/linux-espeak || die
+
+ cd servers/native-espeak || die
emake TCL_VERSION="${tcl_version}"
fi
}
src_install() {
emake DESTDIR="${D}" install
- rm "${D}/usr/bin/emacspeak"
+
if use espeak; then
- pushd servers/linux-espeak > /dev/null || die
+ pushd servers/native-espeak > /dev/null || die
+
emake DESTDIR="${D}" install
- local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak"
- local serverfile="${D}${orig_serverdir}/tclespeak.so"
- install -Dm755 "$serverfile" \
- "${D}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
- rm -f "$serverfile" || die
- dosym "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
- "$orig_serverdir/tclespeak.so"
+ local orig_serverdir="/usr/share/emacs/site-lisp/emacspeak/servers/native-espeak"
+ local serverfile="${ED}${orig_serverdir}/tclespeak.so"
+
+ install -Dm755 "${serverfile}" \
+ "${ED}/usr/$(get_libdir)/emacspeak/tclespeak.so" || die
+ rm -f "${serverfile}" || die
+
+ dosym -r "/usr/$(get_libdir)/emacspeak/tclespeak.so" \
+ "${orig_serverdir}/tclespeak.so"
popd > /dev/null || die
fi
- dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
+
+ dodoc README etc/NEWS* etc/COPYRIGHT
einstalldocs
- cd "${D}/usr/share/emacs/site-lisp/${PN}" || die
- rm -rf README etc/NEWS* etc/FAQ etc/COPYRIGHT install-guide \
+
+ cd "${ED}"/usr/share/emacs/site-lisp/${PN} || die
+ rm -rf README etc/NEWS* etc/COPYRIGHT install-guide \
user-guide || die
readme.gentoo_create_doc
}
diff --git a/app-accessibility/emacspeak/metadata.xml b/app-accessibility/emacspeak/metadata.xml
index 85a649a04b8..b4f85db5b90 100644
--- a/app-accessibility/emacspeak/metadata.xml
+++ b/app-accessibility/emacspeak/metadata.xml
@@ -17,6 +17,7 @@
<flag name="espeak">Adds support for the espeak tts engine</flag>
</use>
<upstream>
+ <remote-id type="github">tvraman/emacspeak</remote-id>
<remote-id type="google-code">emacspeak</remote-id>
<remote-id type="sourceforge">emacspeak</remote-id>
</upstream>
diff --git a/app-accessibility/espeak-ng/metadata.xml b/app-accessibility/espeak-ng/metadata.xml
index 7ebc21c572b..45532b56bef 100644
--- a/app-accessibility/espeak-ng/metadata.xml
+++ b/app-accessibility/espeak-ng/metadata.xml
@@ -18,7 +18,7 @@
<flag name="klatt">Enables Klatt formant synthesis and implementation</flag>
<flag name="l10n_ru">Builds extended Russian Dictionary file</flag>
<flag name="l10n_zh">Builds extended Chinese (Mandarin and Cantonese) Dictionary files</flag>
- <flag name="man">Builds and installs manpage with app-text/ronn</flag>
+ <flag name="man">Builds and installs manpage with <pkg>app-text/ronn</pkg></flag>
<flag name="mbrola">Adds support for mbrola voices</flag>
</use>
</pkgmetadata>
diff --git a/app-accessibility/espeak/espeak-1.48.04-r1.ebuild b/app-accessibility/espeak/espeak-1.48.04-r1.ebuild
index fba712bdf42..083d363b1b1 100644
--- a/app-accessibility/espeak/espeak-1.48.04-r1.ebuild
+++ b/app-accessibility/espeak/espeak-1.48.04-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -11,7 +11,7 @@ DESCRIPTION="Speech synthesizer for English and other languages"
HOMEPAGE="http://espeak.sourceforge.net/"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="portaudio pulseaudio"
COMMON_DEPEND="portaudio? ( >=media-libs/portaudio-19_pre20071207 )
diff --git a/app-accessibility/espeakup/Manifest b/app-accessibility/espeakup/Manifest
index 63475c422df..59dfb0bf15f 100644
--- a/app-accessibility/espeakup/Manifest
+++ b/app-accessibility/espeakup/Manifest
@@ -1,2 +1 @@
-DIST espeakup-0.80.tar.gz 39626 BLAKE2B f36d9776b954e73fd2bc33c7ba97dd323184480549b667ac2afc4dc40a8b98089b8ced16e8b1cb33e6b4c586df27a8d6f782236ef8770bc98a530665e257edcf SHA512 1b7e2bd46c3c13a5305746d2d2810ec94a8660f561e4f679ee4779be1b22178f8ac7de42d626d649710509f7b087b9a2f94608bde203d1bcd6d353229ed9ff83
DIST espeakup-0.90.tar.gz 25170 BLAKE2B f91a70bad0d985d313852b9e5f72dea4330ab23050ca6904ae5895d513088031f34d878cd64d97dcf2cf02dddc3e9fdabd0826cac98634829019ed3267e27bd8 SHA512 0731835a04063c5eac8ed0ed37cd92cc5d2dd1c58cbd94e158b7dfbb7bc0e2f84a6484fffd9009bf2920652a36fb737044b2e1fb67fb1679ee7150855bc9a15e
diff --git a/app-accessibility/espeakup/espeakup-0.80.ebuild b/app-accessibility/espeakup/espeakup-0.80.ebuild
deleted file mode 100644
index df2921d1d68..00000000000
--- a/app-accessibility/espeakup/espeakup-0.80.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="https://github.com/williamh/espeakup.git"
- inherit git-r3
-else
- EGIT_COMMIT=v${PV}
- SRC_URI="https://github.com/williamh/espeakup/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 x86"
- inherit vcs-snapshot
-fi
-
-inherit linux-info
-
-DESCRIPTION="espeakup is a small lightweight connector for espeak and speakup"
-HOMEPAGE="https://github.com/williamh/espeakup"
-
-LICENSE="GPL-3"
-SLOT="0"
-IUSE=""
-
-COMMON_DEPEND="|| (
- app-accessibility/espeak[portaudio]
- app-accessibility/espeak[pulseaudio] )"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}"
-
-CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT"
-ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!"
-ERROR_SPEAKUP_SYNTH_SOFT="CONFIG_SPEAKUP_SYNTH_SOFT is not enabled in this kernel!"
-
-pkg_setup() {
- if kernel_is -ge 2 6 37; then
- check_extra_config
- elif ! has_version app-accessibility/speakup; then
- ewarn "Cannot find speakup on your system."
- ewarn "Please upgrade your kernel to 2.6.37 or later and enable the"
- ewarn "CONFIG_SPEAKUP and CONFIG_SPEAKUP_SYNTH_SOFT options"
- ewarn "or install app-accessibility/speakup."
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" PREFIX=/usr install
- einstalldocs
- newconfd "${FILESDIR}"/espeakup.confd espeakup
- newinitd "${FILESDIR}"/espeakup.rc espeakup
-}
-
-pkg_postinst() {
- elog "To get espeakup to start automatically, it is currently recommended"
- elog "that you add it to the default run level, by giving the following"
- elog "command as root."
- elog
- elog "rc-update add espeakup default"
- elog
- elog "You can also set a default voice now for espeakup."
- elog "See /etc/conf.d/espeakup for how to do this."
-}
diff --git a/app-accessibility/espeakup/files/espeakup.rc b/app-accessibility/espeakup/files/espeakup.rc
deleted file mode 100644
index 2989a970874..00000000000
--- a/app-accessibility/espeakup/files/espeakup.rc
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command=/usr/bin/espeakup
-command_args="${espeakup_opts:-${ESPEAKUP_OPTS}}"
-pidfile=/run/espeakup.pid
-
-depend() {
- after modules
- use alsasound pulseaudio
-}
diff --git a/app-accessibility/flite/flite-2.2.ebuild b/app-accessibility/flite/flite-2.2.ebuild
index cd68f7a8307..0b4c34e70ff 100644
--- a/app-accessibility/flite/flite-2.2.ebuild
+++ b/app-accessibility/flite/flite-2.2.ebuild
@@ -102,7 +102,7 @@ multilib_src_configure() {
}
multilib_src_compile() {
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+ emake -j1 CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
}
multilib_src_install_all() {
diff --git a/app-accessibility/kontrast/Manifest b/app-accessibility/kontrast/Manifest
index 458b2e908e7..bc460e178ce 100644
--- a/app-accessibility/kontrast/Manifest
+++ b/app-accessibility/kontrast/Manifest
@@ -1 +1,2 @@
DIST kontrast-22.04.3.tar.xz 125860 BLAKE2B 78b87ebfb0958ce7bf2abf7a70ada000f959aa2cd648ebaf70ffef5500458bf1f9c42433176caa1ac29ab5b0ed51452092c796f679d7c56e4188e2a746169a05 SHA512 e77b2b129f115d2cf319a2a5f6b56bc576c00c506b542cc6239098245da17b966a71caf05f0868af7d5f3807be033bfc552b9fd1856046889363d1012bf13efe
+DIST kontrast-22.08.3.tar.xz 128100 BLAKE2B c30380c716ace5f9d1987a9244350fb58592babc963d3b0bf312ca75e966fd9abe254898bd80b4f7bfdeb1d7bccc7424781ccdb0cd1b28784add6bf4edafe764 SHA512 18a1df4c888457f42c9a7273d6462479b8c44d87529b54868ea80c8fd8d9a8a20a96c25b9508a8cb4e93e94d6dd23d7251af1ca908d81a588002d1a29410d843
diff --git a/app-accessibility/kontrast/kontrast-22.04.3.ebuild b/app-accessibility/kontrast/kontrast-22.04.3.ebuild
index 1d31cbd4c17..f81ac73ff10 100644
--- a/app-accessibility/kontrast/kontrast-22.04.3.ebuild
+++ b/app-accessibility/kontrast/kontrast-22.04.3.ebuild
@@ -3,7 +3,6 @@
EAPI=8
-KDE_GEAR="true"
KFMIN=5.92.0
QTMIN=5.15.4
inherit ecm gear.kde.org
diff --git a/app-accessibility/kontrast/kontrast-22.08.3.ebuild b/app-accessibility/kontrast/kontrast-22.08.3.ebuild
new file mode 100644
index 00000000000..9937c36c412
--- /dev/null
+++ b/app-accessibility/kontrast/kontrast-22.08.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KFMIN=5.96.0
+QTMIN=5.15.5
+inherit ecm gear.kde.org
+
+DESCRIPTION="Tool to check contrast for colors to verify they are correctly accessible"
+HOMEPAGE="https://apps.kde.org/kontrast/"
+
+LICENSE="GPL-3+"
+SLOT="5"
+KEYWORDS="~amd64 arm64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=dev-qt/qtsql-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+"
+RDEPEND="${DEPEND}
+ kde-plasma/xdg-desktop-portal-kde
+"
diff --git a/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild b/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
index c4eac836e63..34eb83a5677 100644
--- a/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
+++ b/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/numediart/mbrola-voices/archive/${GIT_COMMIT}.tar.gz
LICENSE="MBROLA-VOICES"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv sparc x86"
# This maps the l10n values to the appropriate voices
declare -A voicemap
diff --git a/app-accessibility/mbrola/mbrola-3.3-r1.ebuild b/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
index 2c07d5549f6..03426abc085 100644
--- a/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
+++ b/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/numediart/MBROLA/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="AGPL-3+"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv sparc x86"
RDEPEND="app-accessibility/mbrola-voices"
diff --git a/app-accessibility/mbrola/metadata.xml b/app-accessibility/mbrola/metadata.xml
index 904973efe33..0ffb3e4615b 100644
--- a/app-accessibility/mbrola/metadata.xml
+++ b/app-accessibility/mbrola/metadata.xml
@@ -1,12 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>accessibility@gentoo.org</email>
- <name>Gentoo Accessibility Project</name>
-</maintainer>
-<maintainer type="project">
- <email>sound@gentoo.org</email>
- <name>Gentoo Sound project</name>
-</maintainer>
+ <maintainer type="project">
+ <email>accessibility@gentoo.org</email>
+ <name>Gentoo Accessibility Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sound@gentoo.org</email>
+ <name>Gentoo Sound project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">numediart/MBROLA</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
index 7e24f93de77..8559b3ff195 100644
--- a/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
+++ b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit toolchain-funcs
DESCRIPTION="Braille translator from the National Federation of the Blind"
HOMEPAGE="http://www.nfbnet.org/download/nfbtrans.htm"
-SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr774.zip"
+SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr$(ver_rs 1-2 '').zip"
S="${WORKDIR}"
LICENSE="public-domain"
diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
index c73ee3fb2ae..db9eb9f9fb9 100644
--- a/app-accessibility/orca/Manifest
+++ b/app-accessibility/orca/Manifest
@@ -1,2 +1,2 @@
-DIST orca-42.1.tar.xz 3700132 BLAKE2B 1310a1b43da709e9b273ce21374fff9fa30fbf08d1d0e171eb7eff4511ad5e2bcee12a2d6549a4c0c8e21526fb6f4b3b311d0e09fd6bfa863e29168809df9c10 SHA512 98f016087317666c4dcc7543d16ffb93214075d49d3708a1aa3dc8b6dd5d9d85c52dd31e650f4511371061c58d53e73455a09d6d7b4405b8a972b58ff1d7db91
DIST orca-42.3.tar.xz 3707048 BLAKE2B b1a03cee97ba2ad17e32b863effba46974f86e5cbdcea72235085e369189e8e92cba8b83931fd83a7b859edfc8da9236f462e250c468ad1533768479eb25aad0 SHA512 59d9d61af2e385d8e356f825fc1733d73d136f89a3a06c352eaf1e7b05cd6ebf5bd13282afb478adb4ea7981398db0138324c3e275eb372b99ba648d9fafeab6
+DIST orca-43.0.tar.xz 3758480 BLAKE2B 05c31777c1c88452e165bd7fb6fe75fe727149f5337828b5f4e7679430ed5065a03de7074536c4433bedd81c3090c72e02a775db46f4673d6e3264a57732ad7a SHA512 20248e6065c1daa9c3d6ba37515bab60a3ceb14065b862d6d0610a7659bddc04f49a1cda7850646b45bb0afb5c2a89f1894de96f505831b11b77d332adb747d3
diff --git a/app-accessibility/orca/metadata.xml b/app-accessibility/orca/metadata.xml
index 6697d532486..576805b0538 100644
--- a/app-accessibility/orca/metadata.xml
+++ b/app-accessibility/orca/metadata.xml
@@ -1,18 +1,21 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>gnome@gentoo.org</email>
- <name>Gentoo GNOME Desktop</name>
-</maintainer>
-<use>
- <flag name="braille">Enable braille support</flag>
-</use>
-<longdescription>
- Orca is a flexible, extensible, and powerful assistive technology
- for people with visual impairments. Using various combinations of
- speech synthesis, braille, and magnification, Orca helps provide
- access to applications and toolkits that support the AT-SPI (e.g.,
- the GNOME desktop).
-</longdescription>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <use>
+ <flag name="braille">Enable braille support</flag>
+ </use>
+ <longdescription>
+ Orca is a flexible, extensible, and powerful assistive technology
+ for people with visual impairments. Using various combinations of
+ speech synthesis, braille, and magnification, Orca helps provide
+ access to applications and toolkits that support the AT-SPI (e.g.,
+ the GNOME desktop).
+ </longdescription>
+ <upstream>
+ <remote-id type="gnome-gitlab">GNOME/orca</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/orca/orca-42.1.ebuild b/app-accessibility/orca/orca-43.0.ebuild
index 3e8ea706bcd..676403c2e47 100644
--- a/app-accessibility/orca/orca-42.1.ebuild
+++ b/app-accessibility/orca/orca-43.0.ebuild
@@ -2,8 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
-PYTHON_REQ_USE="threads(+)"
+PYTHON_COMPAT=( python3_{8..11} )
inherit gnome2 python-single-r1
diff --git a/app-accessibility/speech-dispatcher/Manifest b/app-accessibility/speech-dispatcher/Manifest
index 27a152842bb..6fb24297eea 100644
--- a/app-accessibility/speech-dispatcher/Manifest
+++ b/app-accessibility/speech-dispatcher/Manifest
@@ -1,2 +1,3 @@
-DIST speech-dispatcher-0.11.1.tar.gz 6548489 BLAKE2B fd4e05c51b80991bdd5d27ecf967946cfde98f978462e909f193c14eab51f3cae047d281c3e2896b3ddeeb4e045ceb72f51e5dbfaf3f9ea8a818f8146cb5e625 SHA512 859911d7db5660423bc7911eacbe8e7a9c3104df97478cbbca48ca5fd6ec018113172d49bc66781680433c77b4d2af43578c9b0f11409e2ba7ac618deb31d7cf
-DIST speech-dispatcher-0.9.1.tar.gz 1662222 BLAKE2B 03c3d79a9cbbe7e549f638992fb276ab2270a45a057708721666257699479b3feb81daddf26d8032ba3f7b9ab6b836c7f582ee22a532ff018c99820af3864d87 SHA512 35adb353d22b8dff8884cb20f3836f96f4f74b272bbd442d522a10a3d3b91a0da6705e6c216764f295208b5446c2077da620de2a81cafe5a0c4dd826e33753c2
+DIST speech-dispatcher-0.11.2.tar.gz 7147526 BLAKE2B 6b11949736275d900e5e1d3909fab51fc04fbb45baf470a4c98aed19f61b7adb8cedf6b11f1a1aa69d9625383627beab4122c74ec78d9c07a5d0ddf4646669d6 SHA512 038ecaa5b9d56e3f915ec49fe7768cb4eebe1c8be79b95635f09fb3f6067e4c0ade13d2dd355e0b326579dcdf509dd180889b27282410b6bb252a2f642f028d4
+DIST speech-dispatcher-0.11.3.tar.gz 7150632 BLAKE2B 92bad589e453a243362a9e0142d2897b9651fa648012f2bd7ef00bc1ded389fd2c01b6f38f19002289357f7aa6361a6e7fa3ee35ec2ad7c044f34d87e7f2c409 SHA512 e9f5b862066c0292230fda32f16782f9a2d66e8d0c0e3aa0ccdb4628c1182661d2f40894f480ae5206af7fbbc49338189312afe02092f5d472095b053afd75c7
+DIST speech-dispatcher-0.11.4.tar.gz 7127323 BLAKE2B 651a20ec403c6158756ab6ff7fbedb38ce1cec413be49367128274c8d20ccc7080a2dccd68cb7ebbec6bab05599f06a4aafc561e4e5e53cf52d19fa1b94fa286 SHA512 d0ebe832e2586abdb1284be36f8427cfbbd94f1a2dead1b74526b151e9529f9e61679339274b73afab5f829d184337372ba0aad93d880c42d2a6a1bcb2b7afef
diff --git a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.1-remove-unused-variable-musl.patch b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.1-remove-unused-variable-musl.patch
deleted file mode 100644
index 545fe2916e0..00000000000
--- a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.1-remove-unused-variable-musl.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-https://github.com/brailcom/speechd/commit/57e2c131f03ae8244b0478e449d86dea7d5724d8
-
-musl additionally requires explicitly including sys/stat.h header for stat.
-Including that would've been the proper patch if 'st' was actually used.
-
-From 57e2c131f03ae8244b0478e449d86dea7d5724d8 Mon Sep 17 00:00:00 2001
-From: Samuel Thibault <samuel.thibault@ens-lyon.org>
-Date: Sun, 13 Mar 2022 18:35:59 +0100
-Subject: [PATCH] Drop unused variable
-
---- a/src/modules/espeak.c
-+++ b/src/modules/espeak.c
-@@ -3,7 +3,7 @@
- * espeak.c - Speech Dispatcher backend for espeak
- *
- * Copyright (C) 2007 Brailcom, o.p.s.
-- * Copyright (C) 2019-2021 Samuel Thibault <samuel.thibault@ens-lyon.org>
-+ * Copyright (C) 2019-2022 Samuel Thibault <samuel.thibault@ens-lyon.org>
- *
- * This is free software; you can redistribute it and/or modify it
- * under the terms of the GNU General Public License as published by
-@@ -880,7 +880,6 @@ static SPDVoice **espeak_list_synthesis_voices()
- {
- const char *identifier = espeak_mbrola[j]->identifier;
- char *voicename, *dash, *path;
-- struct stat st;
-
- totnummbrola++;
-
diff --git a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.3-fix-dlopen.patch b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.3-fix-dlopen.patch
new file mode 100644
index 00000000000..f520fdc6adf
--- /dev/null
+++ b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.3-fix-dlopen.patch
@@ -0,0 +1,93 @@
+https://github.com/brailcom/speechd/commit/db21e5fe4b3155734f60a67c8ab5da6b53174e1b
+https://github.com/brailcom/speechd/pull/783
+https://bugs.gentoo.org/877339
+
+From db21e5fe4b3155734f60a67c8ab5da6b53174e1b Mon Sep 17 00:00:00 2001
+From: Bernard Cafarelli <bernard.cafarelli@gmail.com>
+Date: Mon, 17 Oct 2022 15:28:37 +0200
+Subject: [PATCH] Fix audio plugin loading with dlopen
+
+dlopen needs the full name including .so extension
+Set SPD_AUDIO_PLUGIN_ENTRY to correct name (ltdl adds a prefix)
+--- a/src/audio/alsa.c
++++ b/src/audio/alsa.c
+@@ -37,7 +37,11 @@
+ #include <alsa/asoundlib.h>
+ #include <alsa/pcm.h>
+
++#ifdef USE_DLOPEN
++#define SPD_AUDIO_PLUGIN_ENTRY spd_audio_plugin_get
++#else
+ #define SPD_AUDIO_PLUGIN_ENTRY spd_alsa_LTX_spd_audio_plugin_get
++#endif
+ #include <spd_audio_plugin.h>
+
+ typedef struct {
+--- a/src/audio/libao.c
++++ b/src/audio/libao.c
+@@ -32,7 +32,11 @@
+ #include <glib.h>
+ #include <ao/ao.h>
+
++#ifdef USE_DLOPEN
++#define SPD_AUDIO_PLUGIN_ENTRY spd_audio_plugin_get
++#else
+ #define SPD_AUDIO_PLUGIN_ENTRY spd_libao_LTX_spd_audio_plugin_get
++#endif
+ #include <spd_audio_plugin.h>
+
+ /* send a packet of XXX bytes to the sound device */
+--- a/src/audio/nas.c
++++ b/src/audio/nas.c
+@@ -32,7 +32,11 @@
+
+ #include <pthread.h>
+
++#ifdef USE_DLOPEN
++#define SPD_AUDIO_PLUGIN_ENTRY spd_audio_plugin_get
++#else
+ #define SPD_AUDIO_PLUGIN_ENTRY spd_nas_LTX_spd_audio_plugin_get
++#endif
+ #include <spd_audio_plugin.h>
+
+ typedef struct {
+--- a/src/audio/oss.c
++++ b/src/audio/oss.c
+@@ -39,7 +39,11 @@
+
+ #include <sys/soundcard.h>
+
++#ifdef USE_DLOPEN
++#define SPD_AUDIO_PLUGIN_ENTRY spd_audio_plugin_get
++#else
+ #define SPD_AUDIO_PLUGIN_ENTRY spd_oss_LTX_spd_audio_plugin_get
++#endif
+ #include <spd_audio_plugin.h>
+
+ typedef struct {
+--- a/src/audio/pulse.c
++++ b/src/audio/pulse.c
+@@ -51,7 +51,11 @@
+ #include <pulse/simple.h>
+ #include <pulse/error.h>
+
++#ifdef USE_DLOPEN
++#define SPD_AUDIO_PLUGIN_ENTRY spd_audio_plugin_get
++#else
+ #define SPD_AUDIO_PLUGIN_ENTRY spd_pulse_LTX_spd_audio_plugin_get
++#endif
+ #include <spd_audio_plugin.h>
+
+ typedef struct {
+--- a/src/common/spd_audio.c
++++ b/src/common/spd_audio.c
+@@ -120,7 +120,7 @@ AudioID *spd_audio_open(const char *name, void **pars, char **error)
+ plugin_dir = PLUGIN_DIR;
+
+ #ifdef USE_DLOPEN
+- libname = g_strdup_printf("%s/" SPD_AUDIO_LIB_PREFIX "%s", plugin_dir, name);
++ libname = g_strdup_printf("%s/" SPD_AUDIO_LIB_PREFIX "%s.so", plugin_dir, name);
+ dlhandle = dlopen(libname, RTLD_NOW | RTLD_GLOBAL);
+
+ g_free(libname);
+
diff --git a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.4-GNU_SOURCE.patch b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.4-GNU_SOURCE.patch
new file mode 100644
index 00000000000..9f08e5a863a
--- /dev/null
+++ b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.11.4-GNU_SOURCE.patch
@@ -0,0 +1,103 @@
+https://github.com/brailcom/speechd/pull/789
+
+From da19d096901466e5ff395846405547d422c90b4c Mon Sep 17 00:00:00 2001
+From: Sam James <sam@gentoo.org>
+Date: Mon, 31 Oct 2022 18:33:17 +0000
+Subject: [PATCH] Use AC_USE_SYSTEM_EXTENSIONS
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+We already set _GNU_SOURCE in various places but not consistently. Let's
+just use autoconf's AC_USE_SYSTEM_EXTENSIONS to ensure it's always set.
+
+Fixes failure when building tests:
+```
+x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../src/api/c -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches -Wreturn-type -ggdb3 -Werror=format-security -Werror=implicit-function-declaration -Wimplicit-int -Wformat -c -o run_test.o run_test.c
+run_test.c: In function ‘wait_for’:
+run_test.c:93:21: error: implicit declaration of function ‘strcasestr’; did you mean ‘strcasecmp’? [-Werror=implicit-function-declaration]
+ 93 | while (0 == strcasestr(reply, event)) {
+ | ^~~~~~~~~~
+ | strcasecmp
+cc1: some warnings being treated as errors
+```
+
+Signed-off-by: Sam James <sam@gentoo.org>
+--- a/configure.ac
++++ b/configure.ac
+@@ -68,6 +68,8 @@ AC_PROG_LN_S
+ AC_CHECK_PROGS([HELP2MAN], [help2man])
+ AM_CONDITIONAL([HAVE_HELP2MAN], [test "x$HELP2MAN" != "x"])
+
++AC_USE_SYSTEM_EXTENSIONS
++
+ # Checks for libraries.
+ AC_SEARCH_LIBS([sqrt], [m], [],
+ [AC_MSG_FAILURE([Math library missing])])
+--- a/src/api/c/Makefile.am
++++ b/src/api/c/Makefile.am
+@@ -24,7 +24,7 @@ BUILT_SOURCES = libspeechd_version.h
+ lib_LTLIBRARIES = libspeechd.la
+ libspeechd_la_SOURCES = libspeechd.c
+ libspeechd_la_CFLAGS = $(ERROR_CFLAGS)
+-libspeechd_la_CPPFLAGS = $(inc_local) -D_GNU_SOURCE $(GLIB_CFLAGS) -DSPD_SPAWN_CMD=\""$(prefix)/bin/speech-dispatcher"\"
++libspeechd_la_CPPFLAGS = $(inc_local) $(GLIB_CFLAGS) -DSPD_SPAWN_CMD=\""$(prefix)/bin/speech-dispatcher"\"
+ libspeechd_la_LDFLAGS = -version-info $(LIB_SPD_CURRENT):$(LIB_SPD_REVISION):$(LIB_SPD_AGE)
+ libspeechd_la_LIBADD = $(GLIB_LIBS)
+
+--- a/src/api/guile/gssip.c
++++ b/src/api/guile/gssip.c
+@@ -24,8 +24,6 @@
+ #include <config.h>
+ #endif
+
+-#define _GNU_SOURCE
+-
+ #include <stdio.h>
+ #include <string.h>
+
+--- a/src/audio/pulse.c
++++ b/src/audio/pulse.c
+@@ -34,8 +34,6 @@
+ *
+ */
+
+-#define _GNU_SOURCE
+-
+ #ifdef HAVE_CONFIG_H
+ #include <config.h>
+ #endif
+--- a/src/clients/spdsend/spdsend.h
++++ b/src/clients/spdsend/spdsend.h
+@@ -24,8 +24,6 @@
+
+ #define __SPDSEND_H
+
+-#define _GNU_SOURCE
+-
+ #include <stddef.h>
+
+ /* Configuration */
+--- a/src/modules/Makefile.am
++++ b/src/modules/Makefile.am
+@@ -32,7 +32,7 @@ common_LDADD = $(DOTCONF_LIBS) $(GLIB_LIBS) $(audio_dlopen) -lpthread
+
+ AM_CFLAGS = $(ERROR_CFLAGS)
+ AM_CXXFLAGS = $(ERROR_CFLAGS)
+-AM_CPPFLAGS = $(inc_local) -DDATADIR=\"$(snddatadir)\" -D_GNU_SOURCE $(GLIB_CFLAGS)
++AM_CPPFLAGS = $(inc_local) -DDATADIR=\"$(snddatadir)\" $(GLIB_CFLAGS)
+
+ module_utils_CPPFLAGS = $(AM_CPPFLAGS) \
+ $(DOTCONF_CFLAGS)
+--- a/src/server/Makefile.am
++++ b/src/server/Makefile.am
+@@ -35,7 +35,7 @@ speech_dispatcher_CPPFLAGS = $(inc_local) $(DOTCONF_CFLAGS) $(GLIB_CFLAGS) \
+ -DMODULEBINDIR=\"$(modulebindir)\" \
+ -DOLDMODULEBINDIR=\"$(oldmodulebindir)\" \
+ -DLOCALE_DATA=\"$(localedatadir)\" \
+- -D_GNU_SOURCE -DDEFAULT_AUDIO_METHOD=\"$(default_audio_method)\"
++ -DDEFAULT_AUDIO_METHOD=\"$(default_audio_method)\"
+ speech_dispatcher_LDFLAGS = $(RDYNAMIC)
+ speech_dispatcher_LDADD = $(lib_common) $(DOTCONF_LIBS) $(GLIB_LIBS) \
+ $(SNDFILE_LIBS) $(GMODULE_LIBS) $(GTHREAD_LIBS) $(EXTRA_SOCKET_LIBS) \
+
diff --git a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.9.1-fno-common.patch b/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.9.1-fno-common.patch
deleted file mode 100644
index 0914566a8a3..00000000000
--- a/app-accessibility/speech-dispatcher/files/speech-dispatcher-0.9.1-fno-common.patch
+++ /dev/null
@@ -1,466 +0,0 @@
-From f1c01ccc0ca3f82313ebff3f336d808acee225c8 Mon Sep 17 00:00:00 2001
-From: Samuel Thibault <samuel.thibault@ens-lyon.org>
-Date: Fri, 6 Dec 2019 10:27:39 +0100
-Subject: [PATCH] Fix global varibles definitions
-
----
- src/clients/say/options.c | 24 +++++++++++++++++++
- src/clients/say/options.h | 42 ++++++++++++++++-----------------
- src/modules/festival_client.c | 2 ++
- src/modules/festival_client.h | 2 +-
- src/modules/module_utils.c | 20 ++++++++++++++++
- src/modules/module_utils.h | 24 +++++++++----------
- src/server/compare.c | 1 +
- src/server/compare.h | 4 ++--
- src/server/configuration.c | 3 +++
- src/server/configuration.h | 4 ++--
- src/server/speaking.c | 10 ++++++++
- src/server/speaking.h | 14 +++++------
- src/server/speechd.c | 33 ++++++++++++++++++++++++++
- src/server/speechd.h | 44 +++++++++++++++++------------------
- 14 files changed, 160 insertions(+), 67 deletions(-)
-
-diff --git a/src/clients/say/options.c b/src/clients/say/options.c
-index f75ec7de..cb937d37 100644
---- a/src/clients/say/options.c
-+++ b/src/clients/say/options.c
-@@ -33,6 +33,30 @@
- #include "options.h"
- #include <i18n.h>
-
-+signed int rate;
-+signed int pitch;
-+signed int pitch_range;
-+signed int volume;
-+
-+int list_output_modules;
-+char *output_module;
-+char *sound_icon;
-+char *language;
-+char *voice_type;
-+char *punctuation_mode;
-+char *priority;
-+int pipe_mode;
-+SPDDataMode ssml_mode;
-+int spelling;
-+int wait_till_end;
-+int stop_previous;
-+int cancel_previous;
-+int list_synthesis_voices;
-+char *synthesis_voice;
-+
-+char *application_name;
-+char *connection_name;
-+
- void options_print_help(char *argv[])
- {
- assert(argv);
-diff --git a/src/clients/say/options.h b/src/clients/say/options.h
-index 2fdd3b96..dede6dcc 100644
---- a/src/clients/say/options.h
-+++ b/src/clients/say/options.h
-@@ -22,29 +22,29 @@
- #include <getopt.h>
- #include "speechd_types.h"
-
--signed int rate;
--signed int pitch;
--signed int pitch_range;
--signed int volume;
-+extern signed int rate;
-+extern signed int pitch;
-+extern signed int pitch_range;
-+extern signed int volume;
-
--int list_output_modules;
--char *output_module;
--char *sound_icon;
--char *language;
--char *voice_type;
--char *punctuation_mode;
--char *priority;
--int pipe_mode;
--SPDDataMode ssml_mode;
--int spelling;
--int wait_till_end;
--int stop_previous;
--int cancel_previous;
--int list_synthesis_voices;
--char *synthesis_voice;
-+extern int list_output_modules;
-+extern char *output_module;
-+extern char *sound_icon;
-+extern char *language;
-+extern char *voice_type;
-+extern char *punctuation_mode;
-+extern char *priority;
-+extern int pipe_mode;
-+extern SPDDataMode ssml_mode;
-+extern int spelling;
-+extern int wait_till_end;
-+extern int stop_previous;
-+extern int cancel_previous;
-+extern int list_synthesis_voices;
-+extern char *synthesis_voice;
-
--char *application_name;
--char *connection_name;
-+extern char *application_name;
-+extern char *connection_name;
-
- static struct option long_options[] = {
- {"rate", 1, 0, 'r'},
-diff --git a/src/modules/festival_client.c b/src/modules/festival_client.c
-index bb15cb86..f8327d46 100644
---- a/src/modules/festival_client.c
-+++ b/src/modules/festival_client.c
-@@ -75,6 +75,8 @@
- /* For testing endianness */
- int fapi_endian_loc = 1;
-
-+int festival_connection_crashed;
-+
- static char *socket_receive_file_to_buff(int fd, int *size);
-
- /* --- MANAGING FT STRUCTURES --- */
-diff --git a/src/modules/festival_client.h b/src/modules/festival_client.h
-index 21acdda2..dfbaac15 100644
---- a/src/modules/festival_client.h
-+++ b/src/modules/festival_client.h
-@@ -44,7 +44,7 @@
- #define FESTIVAL_DEFAULT_SERVER_PORT 1314
- #define FESTIVAL_DEFAULT_TEXT_MODE "fundamental"
-
--int festival_connection_crashed;
-+extern int festival_connection_crashed;
-
- typedef struct FT_Info {
- int encoding;
-diff --git a/src/modules/module_utils.c b/src/modules/module_utils.c
-index 0a3d3308..99e71fcb 100644
---- a/src/modules/module_utils.c
-+++ b/src/modules/module_utils.c
-@@ -35,6 +35,26 @@ extern char *module_index_mark;
-
- pthread_mutex_t module_stdout_mutex = PTHREAD_MUTEX_INITIALIZER;
-
-+int log_level;
-+
-+AudioID *module_audio_id;
-+
-+SPDMsgSettings msg_settings;
-+SPDMsgSettings msg_settings_old;
-+
-+int current_index_mark;
-+
-+int Debug;
-+FILE *CustomDebugFile;
-+
-+configfile_t *configfile;
-+configoption_t *module_dc_options;
-+int module_num_dc_options;
-+
-+const char *module_name;
-+
-+char *module_index_mark;
-+
- char *do_message(SPDMessageType msgtype)
- {
- int ret;
-diff --git a/src/modules/module_utils.h b/src/modules/module_utils.h
-index 12382d3b..87c5f813 100644
---- a/src/modules/module_utils.h
-+++ b/src/modules/module_utils.h
-@@ -49,23 +49,23 @@ typedef struct SPDMarks {
- gboolean stop;
- } SPDMarks;
-
--int log_level;
-+extern int log_level;
-
--AudioID *module_audio_id;
-+extern AudioID *module_audio_id;
-
--SPDMsgSettings msg_settings;
--SPDMsgSettings msg_settings_old;
-+extern SPDMsgSettings msg_settings;
-+extern SPDMsgSettings msg_settings_old;
-
--int current_index_mark;
-+extern int current_index_mark;
-
--int Debug;
--FILE *CustomDebugFile;
-+extern int Debug;
-+extern FILE *CustomDebugFile;
-
--configfile_t *configfile;
--configoption_t *module_dc_options;
--int module_num_dc_options;
-+extern configfile_t *configfile;
-+extern configoption_t *module_dc_options;
-+extern int module_num_dc_options;
-
--const char *module_name;
-+extern const char *module_name;
-
- #define CLEAN_OLD_SETTINGS_TABLE() do { \
- msg_settings_old.rate = -101;\
-@@ -395,7 +395,7 @@ configoption_t *add_config_option(configoption_t * options,
- #define INDEX_MARK_BODY_LEN 6
- #define INDEX_MARK_BODY "__spd_"
-
--char *module_index_mark;
-+extern char *module_index_mark;
-
- /* This macro must be placed at the initialization of the module so that the
- later functions are possible to use */
-diff --git a/src/server/compare.c b/src/server/compare.c
-index aa08ed79..8d36c39d 100644
---- a/src/server/compare.c
-+++ b/src/server/compare.c
-@@ -29,6 +29,7 @@
- #include "compare.h"
-
- /* Pointer to compare_message_uid */
-+gint(*p_msg_lc) ();
- gint(*p_msg_uid_lc) () = compare_message_uid;
-
- gint compare_message_uid(gconstpointer element, gconstpointer value, gpointer x)
-diff --git a/src/server/compare.h b/src/server/compare.h
-index f0c730c5..380c9ed2 100644
---- a/src/server/compare.h
-+++ b/src/server/compare.h
-@@ -27,7 +27,7 @@ gint compare_message_uid(gconstpointer element, gconstpointer value,
- gpointer x);
-
- /* Pointer to function compare_message_uid */
--gint(*p_msg_lc) ();
--gint(*p_msg_uid_lc) ();
-+extern gint(*p_msg_lc) ();
-+extern gint(*p_msg_uid_lc) ();
-
- #endif /* COMPARE_H */
-diff --git a/src/server/configuration.c b/src/server/configuration.c
-index a21b60c9..ba145995 100644
---- a/src/server/configuration.c
-+++ b/src/server/configuration.c
-@@ -33,6 +33,9 @@
- #include "symbols.h"
- #include <fdsetconv.h>
-
-+configoption_t *spd_options;
-+int spd_num_options;
-+
- static TFDSetClientSpecific *cl_spec_section;
-
- /* So that gcc doesn't comply about casts to char* */
-diff --git a/src/server/configuration.h b/src/server/configuration.h
-index 5850c63b..bd87a0d5 100644
---- a/src/server/configuration.h
-+++ b/src/server/configuration.h
-@@ -29,8 +29,8 @@
- #define SPEECHD_DEFAULT_PORT 6560
-
- /* Loading options from DotConf */
--configoption_t *spd_options;
--int spd_num_options;
-+extern configoption_t *spd_options;
-+extern int spd_num_options;
-
- configoption_t *load_config_options(int *num_options);
- void free_config_options(configoption_t * opts, int *num);
-diff --git a/src/server/speaking.c b/src/server/speaking.c
-index 2160c250..61463f3f 100644
---- a/src/server/speaking.c
-+++ b/src/server/speaking.c
-@@ -46,6 +46,16 @@ static SPDPriority highest_priority = 0;
- int SPEAKING = 0;
- int poll_count;
-
-+OutputModule *speaking_module;
-+int speaking_uid;
-+int speaking_gid;
-+
-+/* Pause and resume handling */
-+int pause_requested;
-+int pause_requested_fd;
-+int pause_requested_uid;
-+int resume_requested;
-+
- /*
- Speak() is responsible for getting right text from right
- queue in right time and saying it loud through the corresponding
-diff --git a/src/server/speaking.h b/src/server/speaking.h
-index 690db600..48752dfa 100644
---- a/src/server/speaking.h
-+++ b/src/server/speaking.h
-@@ -26,15 +26,15 @@
-
- #include <speechd_types.h>
-
--OutputModule *speaking_module;
--int speaking_uid;
--int speaking_gid;
-+extern OutputModule *speaking_module;
-+extern int speaking_uid;
-+extern int speaking_gid;
-
- /* Pause and resume handling */
--int pause_requested;
--int pause_requested_fd;
--int pause_requested_uid;
--int resume_requested;
-+extern int pause_requested;
-+extern int pause_requested_fd;
-+extern int pause_requested_uid;
-+extern int resume_requested;
-
- /* Speak() is responsible for getting right text from right
- * queue in right time and saying it loud through corresponding
-diff --git a/src/server/speechd.c b/src/server/speechd.c
-index 8d3c1de4..6f6e51a5 100644
---- a/src/server/speechd.c
-+++ b/src/server/speechd.c
-@@ -65,6 +65,39 @@ gint server_timeout_source = 0;
-
- int client_count = 0;
-
-+struct SpeechdOptions SpeechdOptions;
-+struct SpeechdStatus SpeechdStatus;
-+
-+pthread_t speak_thread;
-+pthread_mutex_t logging_mutex;
-+pthread_mutex_t element_free_mutex;
-+pthread_mutex_t output_layer_mutex;
-+pthread_mutex_t socket_com_mutex;
-+
-+GHashTable *fd_settings;
-+GHashTable *language_default_modules;
-+GHashTable *fd_uid;
-+
-+TSpeechDQueue *MessageQueue;
-+GList *MessagePausedList;
-+
-+GList *client_specific_settings;
-+
-+GList *last_p5_block;
-+
-+TFDSetElement GlobalFDSet;
-+
-+int speaking_pipe[2];
-+
-+GHashTable *speechd_sockets_status;
-+
-+FILE *logfile;
-+FILE *custom_logfile;
-+char *custom_log_kind;
-+FILE *debug_logfile;
-+
-+TSpeechDMode spd_mode;
-+
- static gboolean speechd_client_terminate(gpointer key, gpointer value, gpointer user);
- static gboolean speechd_reload_dead_modules(gpointer user_data);
- static gboolean speechd_load_configuration(gpointer user_data);
-diff --git a/src/server/speechd.h b/src/server/speechd.h
-index c0730b76..b23bbb69 100644
---- a/src/server/speechd.h
-+++ b/src/server/speechd.h
-@@ -123,7 +123,7 @@ typedef enum {
- SPD_MODE_SINGLE /* */
- } TSpeechDMode;
-
--TSpeechDMode spd_mode;
-+extern TSpeechDMode spd_mode;
-
- /* TSpeechDQueue is a queue for messages. */
- typedef struct {
-@@ -148,7 +148,7 @@ typedef struct {
- #include "alloc.h"
- #include "speaking.h"
-
--struct {
-+extern struct SpeechdOptions {
- char *communication_method;
- int communication_method_set;
- char *socket_path;
-@@ -172,48 +172,48 @@ struct {
- int server_timeout_set;
- } SpeechdOptions;
-
--struct {
-+extern struct SpeechdStatus {
- int max_uid; /* The largest assigned uid + 1 */
- int max_gid; /* The largest assigned gid + 1 */
- int max_fd;
- } SpeechdStatus;
-
- /* speak() thread defined in speaking.c */
--pthread_t speak_thread;
--pthread_mutex_t logging_mutex;
--pthread_mutex_t element_free_mutex;
--pthread_mutex_t output_layer_mutex;
--pthread_mutex_t socket_com_mutex;
-+extern pthread_t speak_thread;
-+extern pthread_mutex_t logging_mutex;
-+extern pthread_mutex_t element_free_mutex;
-+extern pthread_mutex_t output_layer_mutex;
-+extern pthread_mutex_t socket_com_mutex;
-
- /* Table of all configured (and succesfully loaded) output modules */
- extern GList *output_modules;
-
- /* Table of settings for each active client (=each active socket)*/
--GHashTable *fd_settings;
-+extern GHashTable *fd_settings;
- /* Table of default output modules for different languages */
--GHashTable *language_default_modules;
-+extern GHashTable *language_default_modules;
- /* Table of relations between client file descriptors and their uids */
--GHashTable *fd_uid;
-+extern GHashTable *fd_uid;
-
- /* Speech Dispatcher main priority queue for messages */
--TSpeechDQueue *MessageQueue;
-+extern TSpeechDQueue *MessageQueue;
- /* List of messages from paused clients waiting for resume */
--GList *MessagePausedList;
-+extern GList *MessagePausedList;
-
- /* List of different entries of client-specific configuration */
--GList *client_specific_settings;
-+extern GList *client_specific_settings;
-
- /* Saves the last received priority progress message */
--GList *last_p5_block;
-+extern GList *last_p5_block;
-
- /* Global default settings */
--TFDSetElement GlobalFDSet;
-+extern TFDSetElement GlobalFDSet;
-
- /* Inter thread comm pipe */
--int speaking_pipe[2];
-+extern int speaking_pipe[2];
-
- /* Managing sockets communication */
--GHashTable *speechd_sockets_status;
-+extern GHashTable *speechd_sockets_status;
- typedef struct {
- int awaiting_data;
- int inside_block;
-@@ -234,10 +234,10 @@ void MSG2(int level, char *kind, char *format, ...);
- #define FATAL(msg) do { fatal_error(); MSG(-1,"Fatal error [%s:%d]:"msg, __FILE__, __LINE__); exit(EXIT_FAILURE); } while (0)
- #define DIE(msg) do { MSG(0,"Error [%s:%d]:"msg, __FILE__, __LINE__); exit(EXIT_FAILURE); } while (0)
-
--FILE *logfile;
--FILE *custom_logfile;
--char *custom_log_kind;
--FILE *debug_logfile;
-+extern FILE *logfile;
-+extern FILE *custom_logfile;
-+extern char *custom_log_kind;
-+extern FILE *debug_logfile;
-
- /* For debugging purposes, does nothing */
- void fatal_error(void);
diff --git a/app-accessibility/speech-dispatcher/metadata.xml b/app-accessibility/speech-dispatcher/metadata.xml
index 0f3199f1125..4df386ee0a8 100644
--- a/app-accessibility/speech-dispatcher/metadata.xml
+++ b/app-accessibility/speech-dispatcher/metadata.xml
@@ -17,4 +17,7 @@
<flag name="espeak-ng">Adds support for espeak-ng speech engine</flag>
<flag name="flite">Adds support for flite speech engine</flag>
</use>
+ <upstream>
+ <remote-id type="github">brailcom/speechd</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.2.ebuild
index ccfb7ba2a2d..e2948724ba0 100644
--- a/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.2.ebuild
@@ -20,7 +20,6 @@ REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="python? ( ${PYTHON_DEPS} )
>=dev-libs/dotconf-1.3
>=dev-libs/glib-2.36:2
- dev-libs/libltdl:0
>=media-libs/libsndfile-1.0.2
alsa? ( media-libs/alsa-lib )
ao? ( media-libs/libao )
@@ -38,7 +37,6 @@ BDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-0.11.1-include-pthread_h.patch
- "${FILESDIR}"/${PN}-0.11.1-remove-unused-variable-musl.patch
)
src_configure() {
@@ -46,6 +44,7 @@ src_configure() {
export GIT_CEILING_DIRECTORIES="${WORKDIR}"
local myeconfargs=(
+ --disable-ltdl
--disable-python
--disable-static
--with-baratinoo=no
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3-r1.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3-r1.ebuild
new file mode 100644
index 00000000000..889db1da776
--- /dev/null
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3-r1.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit python-r1 systemd
+
+DESCRIPTION="Speech synthesis interface"
+HOMEPAGE="https://freebsoft.org/speechd"
+SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv sparc x86"
+IUSE="alsa ao espeak +espeak-ng flite nas pulseaudio python"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="python? ( ${PYTHON_DEPS} )
+ >=dev-libs/dotconf-1.3
+ >=dev-libs/glib-2.36:2
+ >=media-libs/libsndfile-1.0.2
+ alsa? ( media-libs/alsa-lib )
+ ao? ( media-libs/libao )
+ espeak? ( app-accessibility/espeak )
+ espeak-ng? ( app-accessibility/espeak-ng )
+ flite? ( app-accessibility/flite )
+ nas? ( media-libs/nas )
+ pulseaudio? ( media-sound/pulseaudio )"
+RDEPEND="${DEPEND}
+ python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
+BDEPEND="
+ sys-apps/help2man
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.11.1-include-pthread_h.patch
+ "${FILESDIR}"/${P}-fix-dlopen.patch
+)
+
+src_configure() {
+ # bug 573732
+ export GIT_CEILING_DIRECTORIES="${WORKDIR}"
+
+ local myeconfargs=(
+ --disable-ltdl
+ --disable-python
+ --disable-static
+ --with-baratinoo=no
+ --with-ibmtts=no
+ --with-kali=no
+ --with-pico=no
+ --with-voxin=no
+ $(use_with alsa)
+ $(use_with ao libao)
+ $(use_with espeak)
+ $(use_with espeak-ng)
+ $(use_with flite)
+ $(use_with nas)
+ $(use_with pulseaudio pulse)
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ use python && python_copy_sources
+
+ emake
+
+ if use python; then
+ building() {
+ cd src/api/python || die
+ emake \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)"
+ }
+ python_foreach_impl run_in_build_dir building
+ fi
+}
+
+src_install() {
+ default
+
+ if use python; then
+ installation() {
+ cd src/api/python || die
+ emake \
+ DESTDIR="${D}" \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)" \
+ install
+ }
+ python_foreach_impl run_in_build_dir installation
+ python_replicate_script "${ED}"/usr/bin/spd-conf
+ python_foreach_impl python_optimize
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+ local editconfig="n"
+ if ! use espeak-ng; then
+ ewarn "You have disabled espeak-ng, which is speech-dispatcher's"
+ ewarn "default speech synthesizer."
+ ewarn
+ editconfig="y"
+ fi
+ if ! use pulseaudio; then
+ ewarn "You have disabled pulseaudio support."
+ ewarn "pulseaudio is speech-dispatcher's default audio subsystem."
+ ewarn
+ editconfig="y"
+ fi
+ if [[ "${editconfig}" == "y" ]]; then
+ ewarn "You must edit ${EROOT}/etc/speech-dispatcher/speechd.conf"
+ ewarn "and make sure the settings there match your system."
+ ewarn
+ fi
+}
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.9.1.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3.ebuild
index 87ac784464a..c55d7ced1de 100644
--- a/app-accessibility/speech-dispatcher/speech-dispatcher-0.9.1.ebuild
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit python-r1 systemd
DESCRIPTION="Speech synthesis interface"
@@ -12,43 +12,50 @@ SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
-IUSE="alsa ao +espeak flite nas pulseaudio python"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="alsa ao espeak +espeak-ng flite nas pulseaudio python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="python? ( ${PYTHON_DEPS} )
>=dev-libs/dotconf-1.3
>=dev-libs/glib-2.36:2
- dev-libs/libltdl:0
>=media-libs/libsndfile-1.0.2
alsa? ( media-libs/alsa-lib )
ao? ( media-libs/libao )
espeak? ( app-accessibility/espeak )
+ espeak-ng? ( app-accessibility/espeak-ng )
flite? ( app-accessibility/flite )
nas? ( media-libs/nas )
pulseaudio? ( media-sound/pulseaudio )"
RDEPEND="${DEPEND}
python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
BDEPEND="
+ sys-apps/help2man
>=sys-devel/gettext-0.19.8
virtual/pkgconfig"
-PATCHES=( "${FILESDIR}/${P}-fno-common.patch" )
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.11.1-include-pthread_h.patch
+)
src_configure() {
# bug 573732
export GIT_CEILING_DIRECTORIES="${WORKDIR}"
local myeconfargs=(
+ --disable-ltdl
--disable-python
--disable-static
--with-baratinoo=no
--with-ibmtts=no
--with-kali=no
+ --with-pico=no
+ --with-voxin=no
$(use_with alsa)
$(use_with ao libao)
$(use_with espeak)
+ $(use_with espeak-ng)
$(use_with flite)
$(use_with nas)
$(use_with pulseaudio pulse)
@@ -95,8 +102,8 @@ src_install() {
pkg_postinst() {
local editconfig="n"
- if ! use espeak; then
- ewarn "You have disabled espeak, which is speech-dispatcher's"
+ if ! use espeak-ng; then
+ ewarn "You have disabled espeak-ng, which is speech-dispatcher's"
ewarn "default speech synthesizer."
ewarn
editconfig="y"
@@ -112,6 +119,4 @@ pkg_postinst() {
ewarn "and make sure the settings there match your system."
ewarn
fi
- elog "For festival support, you need to"
- elog "install app-accessibility/festival-freebsoft-utils."
}
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.4.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.4.ebuild
new file mode 100644
index 00000000000..aa87c946a7c
--- /dev/null
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.4.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+# TODO: drop autotools + eautoreconf after 0.11.4
+inherit autotools python-r1 systemd
+
+DESCRIPTION="Speech synthesis interface"
+HOMEPAGE="https://freebsoft.org/speechd"
+SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="alsa ao espeak +espeak-ng flite nas pulseaudio python"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="python? ( ${PYTHON_DEPS} )
+ >=dev-libs/dotconf-1.3
+ >=dev-libs/glib-2.36:2
+ >=media-libs/libsndfile-1.0.2
+ alsa? ( media-libs/alsa-lib )
+ ao? ( media-libs/libao )
+ espeak? ( app-accessibility/espeak )
+ espeak-ng? ( app-accessibility/espeak-ng )
+ flite? ( app-accessibility/flite )
+ nas? ( media-libs/nas )
+ pulseaudio? ( media-sound/pulseaudio )"
+RDEPEND="${DEPEND}
+ python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
+BDEPEND="
+ sys-apps/help2man
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.11.4-GNU_SOURCE.patch
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ # bug 573732
+ export GIT_CEILING_DIRECTORIES="${WORKDIR}"
+
+ local myeconfargs=(
+ --disable-ltdl
+ --disable-python
+ --disable-static
+ --with-baratinoo=no
+ --with-ibmtts=no
+ --with-kali=no
+ --with-pico=no
+ --with-voxin=no
+ $(use_with alsa)
+ $(use_with ao libao)
+ $(use_with espeak)
+ $(use_with espeak-ng)
+ $(use_with flite)
+ $(use_with nas)
+ $(use_with pulseaudio pulse)
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ use python && python_copy_sources
+
+ emake
+
+ if use python; then
+ building() {
+ cd src/api/python || die
+ emake \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)"
+ }
+ python_foreach_impl run_in_build_dir building
+ fi
+}
+
+src_install() {
+ default
+
+ if use python; then
+ installation() {
+ cd src/api/python || die
+ emake \
+ DESTDIR="${D}" \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)" \
+ install
+ }
+ python_foreach_impl run_in_build_dir installation
+ python_replicate_script "${ED}"/usr/bin/spd-conf
+ python_foreach_impl python_optimize
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+ local editconfig="n"
+ if ! use espeak-ng; then
+ ewarn "You have disabled espeak-ng, which is speech-dispatcher's"
+ ewarn "default speech synthesizer."
+ ewarn
+ editconfig="y"
+ fi
+ if ! use pulseaudio; then
+ ewarn "You have disabled pulseaudio support."
+ ewarn "pulseaudio is speech-dispatcher's default audio subsystem."
+ ewarn
+ editconfig="y"
+ fi
+ if [[ "${editconfig}" == "y" ]]; then
+ ewarn "You must edit ${EROOT}/etc/speech-dispatcher/speechd.conf"
+ ewarn "and make sure the settings there match your system."
+ ewarn
+ fi
+}
diff --git a/app-accessibility/speechd-el/speechd-el-2.11.ebuild b/app-accessibility/speechd-el/speechd-el-2.11.ebuild
index b61e7e11bad..e183044a932 100644
--- a/app-accessibility/speechd-el/speechd-el-2.11.ebuild
+++ b/app-accessibility/speechd-el/speechd-el-2.11.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}"/${PN}-${P}
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ppc x86"
RDEPEND=">=app-accessibility/speech-dispatcher-0.7"